summaryrefslogtreecommitdiffstats
path: root/academic/cblas
diff options
context:
space:
mode:
author Eugene Suter <easuter@gmail.com>2010-05-12 23:27:36 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:27:36 +0200
commit16ca523fd1b171026fa0397ca26f1c1d6e966e7b (patch)
tree225dbaa22048797a265e95ee1a57c9f4aa53866c /academic/cblas
parent20f8c8d186ae622f63961ade937d6ea625f0974e (diff)
downloadslackbuilds-16ca523fd1b171026fa0397ca26f1c1d6e966e7b.tar.gz
slackbuilds-16ca523fd1b171026fa0397ca26f1c1d6e966e7b.tar.xz
academic/cblas: Added to 12.2 repository
Diffstat (limited to 'academic/cblas')
-rw-r--r--academic/cblas/README5
-rw-r--r--academic/cblas/cblas.SlackBuild89
-rw-r--r--academic/cblas/cblas.info8
-rw-r--r--academic/cblas/slack-desc19
4 files changed, 121 insertions, 0 deletions
diff --git a/academic/cblas/README b/academic/cblas/README
new file mode 100644
index 0000000000..1ce4c499c3
--- /dev/null
+++ b/academic/cblas/README
@@ -0,0 +1,5 @@
+CBLAS is a collection of wrappers that provide a C interface to the FORTRAN
+BLAS library. The interface can be consulted by opening /usr/include/cblas.h
+
+An existing FORTRAN BLAS library must be installed if you intend to build this
+package. The reference BLAS from netlib is available at SlackBuilds.org.
diff --git a/academic/cblas/cblas.SlackBuild b/academic/cblas/cblas.SlackBuild
new file mode 100644
index 0000000000..327c61760b
--- /dev/null
+++ b/academic/cblas/cblas.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for CBLAS
+
+# Written by Eugene Suter <easuter@gmail.com>
+
+PRGNAM=cblas
+VERSION=${VERSION:-20030223}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf CBLAS
+tar xvf $CWD/$PRGNAM.tgz
+cd CBLAS
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Manually configure and build
+cp Makefile.LINUX Makefile.in
+make CBDIR=$(pwd) \
+ CBLIBDIR=$(pwd)/lib \
+ CBLIB=$(pwd)/lib/libcblas.a \
+ BLLIB="/usr/lib${LIBDIRSUFFIX}/libblas.a" \
+ CFLAGS="$SLKCFLAGS -DADD_" \
+ FFLAGS="$SLKCFLAGS -DADD_" \
+ FC="gfortran" \
+ RANLIB=ranlib \
+ alllib
+
+cd lib
+ar -x lib$PRGNAM.a
+gcc -fPIC -lgfortran -shared *.o -Wl,-soname,$PRGNAM.so.$VERSION \
+ -o lib$PRGNAM.so.$VERSION
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}
+cp lib$PRGNAM.a $PKG/usr/lib${LIBDIRSUFFIX}
+cp lib$PRGNAM.so.$VERSION $PKG/usr/lib${LIBDIRSUFFIX}
+( cd $PKG/usr/lib${LIBDIRSUFFIX}
+ ln -s lib$PRGNAM.so.$VERSION lib$PRGNAM.so
+)
+cd ..
+
+mkdir -p $PKG/usr/include
+cp src/cblas.h $PKG/usr/include
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README cblas_example1.c cblas_example2.c \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/academic/cblas/cblas.info b/academic/cblas/cblas.info
new file mode 100644
index 0000000000..52adccd9ba
--- /dev/null
+++ b/academic/cblas/cblas.info
@@ -0,0 +1,8 @@
+PRGNAM="cblas"
+VERSION="20030223"
+HOMEPAGE="http://netlib.org/blas/"
+DOWNLOAD="http://netlib.org/blas/blast-forum/cblas.tgz"
+MD5SUM="716329646ac933592a7cbdbeae9d3d06"
+MAINTAINER="Eugene Suter"
+EMAIL="easuter@gmail.com"
+APPROVED="rworkman"
diff --git a/academic/cblas/slack-desc b/academic/cblas/slack-desc
new file mode 100644
index 0000000000..97ff4f8bc6
--- /dev/null
+++ b/academic/cblas/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+cblas: CBLAS (C interface to BLAS)
+cblas:
+cblas: CBLAS is a collection of wrappers that provide a C interface
+cblas: to the FORTRAN BLAS library.
+cblas:
+cblas: The interface can be consulted by opening /usr/include/cblas.h
+cblas:
+cblas: http://www.netlib.org/blas/
+cblas:
+cblas:
+cblas: